<?php
namespace BBWP\InspiredHealthMedGeneral\Traits;

if ( ! defined( 'ABSPATH' ) )	exit;

trait Singleton {

	private static $instance = null;

  /******************************************/
	/***** Single Ton base intialization of our class **********/
	/******************************************/
  public static function instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}
		return self::$instance;
	}

}