<?php
function nr_orderemail_admin_style($hook) {
		wp_enqueue_script('jquery-ui-accordion');
		wp_enqueue_script("jquery-ui-tabs");
		wp_register_style( 'orderemail_wp_admin_css', MDHQC_PLUGIN_PATH.'css/admin-style.css', false, '1.0.0' );
		wp_enqueue_script( 'orderemail_global_script', MDHQC_PLUGIN_PATH . 'js/nr_order.js' );
		wp_enqueue_style('orderemail_wp_admin_css');
}
add_action( 'admin_enqueue_scripts', 'nr_orderemail_admin_style' );
function nr_activate_orderemail(){
}
function nr_uninstall_orderemail(){
}
function nr_register_orderemail_menu_page(){
	add_submenu_page('mdhqc-relay', 'Auto Login Settings', 'Auto Login Settings', 'manage_options', 'auto_login_settings', 'nr_auto_login_settings_page');
}
function nr_register_orderemail_settings(){
	register_setting( 'wc-new-orderemail-settings-group', 'wc_orderemail_neworder' );
	register_setting( 'wc-vendor-orderemail-settings-group', 'wc_orderemail_vendoremail' );
	register_setting( 'wc-auto-email-settings-group', 'wc_auto_email' );
	register_setting( 'wc-auto-email-settings-group', 'wc_membership_email' );
	register_setting( 'wc-auto-email-settings-group', 'wc_membership_email_subject' );
}

function nr_user_auto_link( $user){
	$site_url = get_site_url();
	$nr_link = get_user_meta($user->ID, 'nr_link', true);
	if($nr_link!=''){
	?>
	<h3>Auto login link</h3>
	<p><?php echo $site_url;?>/my-account/?nrlogin=<?php echo $nr_link;?></p>
	<?php
	}
}
function nr_csv_download(){

$wc_membership_plan = array();
$args = array(
'post_type'         => 'wc_membership_plan',
'posts_per_page'    => '-1',
);

$the_query  = new WP_Query( $args );
if ( $the_query->have_posts() ) {
while ( $the_query->have_posts() ): $the_query->the_post();
	$post_id = $the_query->post->ID;
	$wc_membership_plan[$post_id] = $the_query->post->post_title ;
endwhile;
} 

$product_vendors = get_terms( 'wcpv_product_vendors');
$wcpv_product_vendors = array();
foreach($product_vendors as $pk=>$pv){
	$wcpv_product_vendors[$pv->term_id] = $pv->name;
}

		if(!empty($_POST['export']) && !empty($_POST['option_page_setting']) && $_POST['option_page_setting'] === 'wc_orderemail_neworder'){
  			  $options = get_option('wc_orderemail_neworder');	
			  $csv_output = "Account Name,Woo Membership,Vendor,URL,E-Mail Address,Password,Contact Info";
			  $csv_output .= "\n";
			  foreach($options as $ok=>$ov){
			  	$woo_membership = "";
				if(array_key_exists($ov['woo_membership'],$wc_membership_plan)){ $woo_membership = $wc_membership_plan[$ov['woo_membership']];}
				$vendor = "";
				if(array_key_exists($ov['vendor'],$wcpv_product_vendors)){ $vendor = $wcpv_product_vendors[$ov['vendor']]; }
			  	$csv_output .= $ov['account_name'].','.$woo_membership.','.$vendor.','.$ov['url'].','.$ov['email'].','.$ov['password'].','.$ov['ccinfo'];
				$csv_output .= "\n";
			  }
			  header("Pragma: public");
			  header("Expires: 0");
			  header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
			  header("Cache-Control: private", false);
			  header("Content-Type: application/octet-stream");
			  header("Content-Disposition: attachment; filename=\"new_order_to_nutrimentrx.csv\";");
			  header("Content-Transfer-Encoding: binary");
		
			  echo $csv_output;
			  exit;
	}
	if(!empty($_POST['export']) && !empty($_POST['option_page_setting']) && $_POST['option_page_setting'] === 'wc_orderemail_vendoremail'){
  			  $options = get_option('wc_orderemail_vendoremail');	
			  $csv_output = "Vendor,Woo Membership,Account Name,Account#,CC info,Special Notes,Contact Information";
			  $csv_output .= "\n";
			  foreach($options as $ok=>$ov){
			  	$woo_membership = "";
				if(array_key_exists($ov['woo_membership'],$wc_membership_plan)){ $woo_membership = $wc_membership_plan[$ov['woo_membership']];}
				$vendor = "";
				if(array_key_exists($ov['vendor'],$wcpv_product_vendors)){ $vendor = $wcpv_product_vendors[$ov['vendor']]; }
			  	$csv_output .= $vendor.','.$woo_membership.','.$ov['account_name'].','.$ov['acount'].','.$ov['ccinfo'].','.$ov['spnotes'].','.$ov['contactinfo'];
				$csv_output .= "\n";
			  }
			  header("Pragma: public");
			  header("Expires: 0");
			  header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
			  header("Cache-Control: private", false);
			  header("Content-Type: application/octet-stream");
			  header("Content-Disposition: attachment; filename=\"new_order_to_vendor.csv\";");
			  header("Content-Transfer-Encoding: binary");
		
			  echo $csv_output;
			  exit;
	}
	if(!empty($_POST['export_user_email_login_link'])){
		
		$userArray = array();
		$wpusers = get_users(array("orderby"=>"ID"));
		$site_url = get_site_url();
		foreach ( $wpusers as $user ){
			$uid =  $user->ID;
			$nr_link = get_user_meta($uid, 'nr_link', true);
			$user_memberships = wc_memberships_get_user_memberships($uid);
			$user_plan = array();
			foreach($user_memberships as $val){
				$user_plan[]= $val->plan_id;
			}
			$userArray[$uid] = array("username" => $user->user_login,"link"=>$site_url."/my-account/?nrlogin=".$nr_link,"plan"=>$user_plan);
		}
		$csv_output = "Membership,User Name,Link";
		$csv_output .= "\n";
		foreach ($wc_membership_plan  as $km => $vm) {
			foreach ($userArray as $ku => $vu) {
				if(in_array($km, $vu['plan']) ){
					$csv_output .= $vm.",".$vu['username'].",".$vu['link']."";
					$csv_output .= "\n";
				}
			}
			$csv_output .= "\n";
		}
		header("Pragma: public");
		header("Expires: 0");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		header("Cache-Control: private", false);
		header("Content-Type: application/octet-stream");
		header("Content-Disposition: attachment; filename=\"new_user_link.csv\";");
		header("Content-Transfer-Encoding: binary");

		echo $csv_output;
		exit;
	}
	
}
?>
