<?php
function nr_auto_login_settings_page() {

$wc_membership_plan = array();
$args = array(
'post_type'         => 'wc_membership_plan',
'posts_per_page'    => '-1',
);
$the_query  = new WP_Query( $args );
if ( $the_query->have_posts() ) {
	while ( $the_query->have_posts() ): $the_query->the_post();
		$post_id = $the_query->post->ID;
		$wc_membership_plan[$post_id] = $the_query->post->post_title ;
	endwhile;
} 

	$optionName = 'wc_auto_email';
	$optionMemberName = 'wc_membership_email';
	$optionSubject = 'wc_membership_email_subject';
					
	if(!get_option($optionName)) {
		$option = 0;
		add_option($optionName,$option);
	}
	if(!get_option($optionMemberName)) {
		$option = array();
		add_option($optionMemberName,$option);
	}
	if(!get_option($optionSubject)) {
		$option = '';
		add_option($optionSubject,$option);
	}
	if(!empty($_POST))
	{
		if($_POST['save_nr_settings']=='Save'){
			$option = ($_POST['wc_auto_email']!='')?1:0;
			update_option($optionName,$option);
		}
		elseif($_POST['save_nr_settings']=='Delete Links'){
			if($_POST['delete_links']!=''){
				$wpusers = get_users(array("orderby"=>"ID"));
				foreach ( $wpusers as $user ){
					$uid =  $user->ID;
					update_user_meta( $uid, 'nr_link', "");
				}
			}
		}
		elseif($_POST['save_nr_settings']=='Reset Links'){
			if($_POST['reset_links']!=''){
				$wpusers = get_users(array("orderby"=>"ID"));
				foreach ( $wpusers as $user ) {
					$uid =  $user->ID;
					$link = "nrx".md5($uid.nr_random_password());
					update_user_meta( $uid, 'nr_link', $link);
				}
			}
		}
		elseif($_POST['save_nr_settings']=='Reset User Link'){
			if($_POST['user_link']!=''){
				$uid =  $_POST['user_link'];
				$link = "nrx".md5($uid.nr_random_password());
				update_user_meta( $uid, 'nr_link', $link);
			}
		}
		elseif($_POST['save_nr_settings']=='Save all email changes'){
			$option=$_POST['wc_membership_email'];
			update_option($optionMemberName,$option);
		}
		elseif($_POST['save_nr_settings']=='Save email subject'){
			$option=$_POST['wc_membership_email_subject'];
			update_option($optionSubject,$option);
		}
		
		
	}
	$wc_auto_email = get_option($optionName);
	$wc_membership_email = get_option($optionMemberName);
	$wc_membership_email_subject = get_option($optionSubject);
?>
	<div class="wrap">
		<h1>Auto login settings</h1>
		<form method="post" id="auto_email_settings">
			 <?php settings_fields( 'wc-auto-email-settings-group' ); ?>
			 <?php do_settings_sections( 'wc-auto-email-settings-group' ); ?>
			<table class="form-table">
			<tr valign="top">
			<th scope="row">Enable Automatic login</th>
			<td>
			<input type="checkbox" value="1" name="<?php echo $optionName;?>" <?php if($wc_auto_email){?> checked<?php }?> >
			</td>
			</tr>
			</table>
			<p>
			<input name="save_nr_settings"  class="button button-primary" value="Save" type="submit">
			</p>
			<table class="form-table">
			<tr valign="top">
			<th scope="row">Delete All Links</th>
			<td>
			<input type="checkbox" value="1" name="delete_links"  >
			</td>
			</tr>
			</table>
			<p>
			<input name="save_nr_settings"  class="button button-primary" value="Delete Links" type="submit">
			</p>
			<table class="form-table">
			<tr valign="top">
			<th scope="row">Reset All Links</th>
			<td>
			<input type="checkbox" value="1" name="reset_links"  >
			</td>
			</tr>
			</table>
			<p>
			<input name="save_nr_settings"  class="button button-primary" value="Reset Links" type="submit">
			</p>
			<table class="form-table">
			<tr valign="top">
			<th scope="row">Reset User Link</th>
			<td>
			<select name="user_link">
				<option value=""></option>
				<?php
					$wpusers = get_users(array("orderby"=>"ID"));
					foreach ( $wpusers as $user ) {
				?>
				<option value="<?php echo $user->ID?>"><?php echo $user->user_login?></option>
				<?php
					}
				?>
			</select>
			</td>
			</tr>
			</table>
			<p>
			<input name="save_nr_settings" class="button button-primary" value="Reset User Link" type="submit">
			</p>


<p>
    <input type="submit" class="button button-primary" name="export_user_email_login_link" value="Export all user links">
</p>

<?php
}
?>