<div class="wrap">
    <h1>MDHQC</h1>
    <h2>Please add information to receive data from MDHQ</h2>
    <form method="post">
        <div class="tablenav top">
            <div class="alignleft actions">
                <?php if (!is_null($plans)) { ?>
                    <select name="plan" id="plan">
                        <option value="">Select plan</option>
                        <?php foreach($plans as $plan) {
                            ?><option value="<?php echo $plan->slug;?>" <?php echo ($plan->slug === $option['plan']) ? "selected" : ""; ?> ><?php echo $plan->name;?></option><?php
                        } ?>
                    </select>
                <?php } ?>
                <?php if (!is_null($affiliates)) { ?>
                    <select name="affiliate" id="affiliate">
                        <option value="">Select Affiliate</option>
                        <?php
                        foreach($affiliates as $affiliate) {
                            $user = get_user_by('ID', $affiliate->user_id);
                            ?><option value="<?php echo $affiliate->affiliate_id?>" <?php echo ($affiliate->affiliate_id == $option['affiliate']) ? "selected" : ""; ?>><?php echo $user->data->display_name ?></option><?php
                        } ?>
                    </select>
                <?php } ?>
                <input type="text" name="password" value="<?php echo $option['password'];?>" placeholder="Password" style="height: 28px;"/>
                <input type="submit" name="filter_action" id="post-query-submit" class="button" value="Save">
            </div>
        </div>
    </form>
    <h2>Logs</h2>
    <table class="wp-list-table widefat fixed">
        <thead>
        <tr>
            <th style="line-height: 28px;">
                <b>General log</b>
                <a class="button-link-delete alignright" href="<?php echo admin_url() . 'admin.php?page='.$_GET['page'];?>&reset_mdhqc_log=1" >Reset</a>
            </th>
            <th style="line-height: 28px;">
                <b>Found log</b>
                <a class="button-link-delete alignright" href="<?php echo admin_url() . 'admin.php?page='.$_GET['page'];?>&reset_mdhqc_log_found=1" >Reset</a>
            </th>
            <th style="line-height: 28px;">
                <b>Not found log</b>
                <a class="button-link-delete alignright" href="<?php echo admin_url() . 'admin.php?page='.$_GET['page'];?>&reset_mdhqc_log_not_found=1" >Reset</a>
            </th>
        </tr>
        </thead>
        <tbody>
        <tr class="log-ta">
            <td>
                <textarea readonly name="" style="height: 300px;width: 100%"><?php foreach($this->getLog() as $line) {
                    if(empty($line)) continue;
                    echo $line . "\r\n" . '---------------------------------' . "\r\n";
                } ?></textarea>
                <a class="button" href="<?php echo admin_url() . 'admin.php?page='.$_GET['page'];?>&download_mdhqc_log=1" >Download</a>
            </td>
            <td>
                <textarea readonly name="" style="height: 300px;width: 100%"><?php foreach($this->getLog('logFound') as $line) {
                    if(empty($line)) continue;
                    echo $line . "\r\n" . '---------------------------------' . "\r\n";
                } ?></textarea>
                <a class="button" href="<?php echo admin_url() . 'admin.php?page='.$_GET['page'];?>&download_mdhqc_log_found=1" >Download</a>
            </td>
            <td>
                <textarea readonly name="" style="height: 300px;width: 100%"><?php foreach($this->getLog('logNotFound') as $line) {
                    if(empty($line)) continue;
                    echo $line . "\r\n" . '---------------------------------' . "\r\n";
                } ?></textarea>
                <a class="button" href="<?php echo admin_url() . 'admin.php?page='.$_GET['page'];?>&download_mdhqc_log_not_found=1" >Download</a>
            </td>
        </tr>
        </tbody>
    </table>

    <table class="wp-list-table widefat fixed">
        <thead>
        <tr>
            <th style="line-height: 28px;">
                <b>Product log</b>
                <a class="button-link-delete alignright" href="<?php echo admin_url() . 'admin.php?page='.$_GET['page'];?>&reset_product_log=1" >Reset</a>
            </th>
        </tr>
        </thead>
        <tbody>
        <tr class="log-ta">
            <td>
                <textarea readonly name="" style="height: 300px;width: 100%"><?php foreach($this->getLog('product') as $line) {
                        if(empty($line)) continue;
                        echo $line . "\r\n" . '---------------------------------' . "\r\n";
                    } ?></textarea>
                <a class="button" href="<?php echo admin_url() . 'admin.php?page='.$_GET['page'];?>&download_product_log=1" >Download</a>
            </td>
        </tr>
        </tbody>
    </table>
    <script>
        document.querySelectorAll('.log-ta textarea').forEach(function (item) {
            item.value = (function (val) {
                return val.split("\n").reverse().join("\n")
            }(item.value))
        });
    </script>
</div>