// var bbwp_custom_cart_data = [];
var bbwp_custom_cart_data_object = {};
var last_synced_customer = '';
var is_processed = false;
var prod_added = [];
var lengthCart = 0;
function get_cart_data(page_number = 1){
  $.ajax({
    type: "POST",
    url: bbwp_inspired_health_med.ajax_url,
    data: {action: "fetch_cart_session_data", page_number: page_number},
    beforeSend: function() {
      $("body").addClass('loading_cart');
    },
    success: function (response) {
      $("body").removeClass('loading_cart');
      
      if(response.success == true){
        if(response.data != 'undefined' && response.data.cart_data != undefined){
			console.log(response.data.cart_data);
          bbwp_custom_cart_data_object = Object.assign(bbwp_custom_cart_data_object, response.data.cart_data);
          // bbwp_custom_cart_data.push(response.data.cart_data);
          // console.log(bbwp_custom_cart_data);
          //console.log(bbwp_custom_cart_data_object);
        }
        if(response.data != 'undefined' && response.data.next_page != 'undefined' && parseInt(response.data.next_page) >= 1){
          //console.log(response.data.next_page);
          get_cart_data(response.data.next_page);
        }
      }
      // $(".bbwp_full_screen_loading").hide();
    },
    error: function() {
      $("body").removeClass('loading_cart');
      // $(".bbwp_full_screen_loading").hide();
    },
  });
}

function get_customer_data(customer_email = ''){
  $.ajax({
    type: "POST",
    url: bbwp_inspired_health_med.ajax_url,
    data: {action: "fetch_cart_session_data", customer_email: customer_email},
    beforeSend: function() {
      $("body").addClass('loading_cart');
      addLoaderWithBackdrop();
    },
    success: function (response) {
      //$("body").removeClass('loading_cart');
      
      if(response.success == true){
        if(response.data != 'undefined' && response.data.cart_data != undefined){
// 			    console.log(response.data.cart_data);
          bbwp_custom_cart_data_object = Object.assign(bbwp_custom_cart_data_object, response.data.cart_data);
          let custom_html = print_single_customer_data(last_synced_customer);
          $(".bbwp_customer_cart ol").html(custom_html);
          // bbwp_custom_cart_data.push(response.data.cart_data);
          // console.log(bbwp_custom_cart_data);
          //console.log(bbwp_custom_cart_data_object);
        } else {
			removeLoaderWithBackdrop();
		}
      }
      // $(".bbwp_full_screen_loading").hide();
    },
    error: function() {
		removeLoaderWithBackdrop();
      //$("body").removeClass('loading_cart');
      // $(".bbwp_full_screen_loading").hide();
    },
  });
}


async function print_single_customer_data(customer_email){
  let custom_html = "";
	console.log('start')
  if(typeof bbwp_custom_cart_data_object != undefined && bbwp_custom_cart_data_object[customer_email] != undefined){
    if(bbwp_custom_cart_data_object[customer_email]['cart'] != undefined){
      let cart = bbwp_custom_cart_data_object[customer_email]['cart'];
		$('.q-form:first').hide();
		lengthCart = Object.keys(cart).length;
		console.log(lengthCart)
// 		alert(lengthCart)
      for (var key in cart) {
        if (typeof(cart[key]) != undefined && typeof(cart[key]['name']) != undefined) {
// 			if(prod_added[cart[key]['id']]) {
// 				continue;
// 			}
			let cc = 0;
			while(cc < cart[key]['quantity']) {
				checkForProcessed(cart[key]['name'], cart[key]['id']);	
				cc++;
			}
			if($('.cart-items  .q-slide-item').length === lengthCart) {
				break;
			}
			console.log(key)
//           custom_html += '<li class="'+key+'">';
//           if(typeof(cart[key]['cat']) != undefined)
//             custom_html += cart[key]['cat'];
//           custom_html += " -> "+cart[key]['name'];
//           custom_html += " -> "+cart[key]['quantity'];
//           custom_html += '</li>';
        }
    }
    }
  }
	console.log('end');
	checkForFinish();
  return custom_html;
}

function checkForFinish() {
    if($('.cart-items  .q-slide-item').length === lengthCart) {
        removeLoaderWithBackdrop();
		$('.q-form:first').show();
		return true;
    } else {
        // If <li> element is not populated yet, wait and check again
        setTimeout(checkForFinish, 1000); // Adjust timeout as needed
		return false;
    }
}

function addProductCart(product_name)
{
// 	$('.q-form:first').hide();
	let id_input = $('.q-field__input:first').attr('id');
	let element = document.getElementById(id_input);
	var elements = document.getElementsByClassName('q-field__control');
	var requiredElement = elements[0];
	requiredElement.dispatchEvent(new Event('focusin'));
	element.value = product_name;
	element.dispatchEvent(new Event('input'));
	element.dispatchEvent(new Event('focusin'));
// 	element.dispatchEvent(new Event('click'));
// 	console.log('here-before')
// 	console.log($('.q-virtual-scroll__content .q-item--clickable:first').length)
// 	while($('.q-virtual-scroll__content .q-item--clickable:first').length === 0) {
// 		continue;
// 	}
// 	while(!checkForLi()) {}
	checkForLi()
// 	console.log('here')
// 	$('.q-virtual-scroll__content .q-item--clickable:first').click();
// 	requiredElement.dispatchEvent(new Event('focusout'));
}

function checkForLi() {
    var liElement = $('.q-virtual-scroll__content .q-item--clickable:first');

    // If <li> element exists and is populated
    if (liElement.length > 0) {
        // Click on the <li> element
        liElement.click();
		is_processed = false;
		return true;
    } else {
        // If <li> element is not populated yet, wait and check again
        setTimeout(checkForLi, 1000); // Adjust timeout as needed
		return false;
    }
}

function checkForProcessed(product_name, id) {

    // If <li> element exists and is populated
    if (!is_processed) {
// 		alert(product_name)
		console.log('processing')
		is_processed = true;
		addProductCart(product_name);
		prod_added[id] = true;
		return true;
    } else {
		console.log('not-processing')
        // If <li> element is not populated yet, wait and check again
        setTimeout(checkForProcessed, 3000, product_name); // Adjust timeout as needed
		return false;
    }
}

function addLoaderWithBackdrop() {
    // Create backdrop element
    var backdrop = document.createElement('div');
    backdrop.className = 'backdrop';
    
    // Set backdrop styles
    backdrop.style.position = 'fixed';
    backdrop.style.top = '0';
    backdrop.style.left = '0';
    backdrop.style.width = '100%';
    backdrop.style.height = '100%';
    backdrop.style.backgroundColor = 'rgba(0, 0, 0, 0.5)'; // semi-transparent black background
    backdrop.style.zIndex = '9999'; // ensure it's above other content
    
    // Append backdrop to the document body
    document.body.appendChild(backdrop);

    // Create loader element
    var loader = document.createElement('div');
    loader.className = 'loader';
    
    // Set loader styles
    loader.style.border = '16px solid #f3f3f3';
    loader.style.borderRadius = '50%';
    loader.style.borderTop = '16px solid #3498db';
    loader.style.width = '120px';
    loader.style.height = '120px';
    loader.style.position = 'absolute';
    loader.style.left = '50%';
    loader.style.top = '50%';
    loader.style.marginLeft = '-60px';
    loader.style.marginTop = '-60px';
    loader.style.animation = 'spin 2s linear infinite';
    loader.style.zIndex = '10000'; // ensure it's above the backdrop
    
    // Append loader to the document body
    document.body.appendChild(loader);
}

// Function to remove loader and backdrop
function removeLoaderWithBackdrop() {
    var loader = document.querySelector('.loader');
    if (loader) {
        // Remove loader from the document body
        loader.parentNode.removeChild(loader);
    }
    
    var backdrop = document.querySelector('.backdrop');
    if (backdrop) {
        // Remove backdrop from the document body
        backdrop.parentNode.removeChild(backdrop);
    }
}
function clearCart() {
    $('span .block').each(function( index ) {
        console.log($(this).text())
          if($(this).text() === 'Delete') {
              $(this).parents('.q-btn-item:first').click();
          }
    });
}
// Immediately-invoked function expression
(function() {
  // Load the script
  const script = document.createElement("script");
  script.src = 'https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js';
  script.type = 'text/javascript';
  script.addEventListener('load', () => {
    $("body").on('change', 'input.q-field__input', function(e){
// 		console.log($(this).val());
		//console.log($(".q-field__control-container .q-field__native .q-item").html());
    });
	  $("body").on('click', function(e){
		  console.log($(e.target).attr("class"));
	  });
	  
    console.log(`jQuery ${$.fn.jquery} has been loaded successfully!`);
    // use jQuery below

//     get_cart_data();

    $('#q-app').on('DOMSubtreeModified', function(e){
      let target = $(e.target);
      if(target.hasClass("q-field__control") && target.find(".q-item__label.text-body2").length >= 1){
        let custom_html = '';
        let customer_email = target.find(".q-item__label.text-body2").html();
        if(customer_email){
//           custom_html = print_single_customer_data(customer_email);
          if(last_synced_customer != customer_email){
			  clearCart();
			  lengthCart=0;
			  is_processed = false;
            last_synced_customer = customer_email;
            get_customer_data(customer_email);
          }
        }
        // if(!$(".bbwp_customer_cart ol ."+custom_html_class+"").length >= 1){
          $(".bbwp_customer_cart ol").html(custom_html);
        // }
        
      }
      
    });


    $("body").append('<div class="bbwp_customer_cart" style="position:fixed;bottom:0px;left:0px;"><ol style="background-color:#fff;padding:20px; color:#000;"></ol></div>');

  });
  document.head.appendChild(script);
})();
 
/*
jQuery(document).ready(function($){
});*/